@import "bootstrap";

/* mixins, variables, etc. */
$grayLight: #999;
$grayMediumLight: #eaeaea;
$lightGray: #999;
$grayDarker: #222;
$gray: #555;
$grayLighter: #eee;

/* universal */

html {
  overflow-y: scroll;
}

body {
 /* padding-top: 60px; */
 
}

section {
  overflow: auto;
}

textarea {
  resize: vertical;
}

.center {
  text-align: center;
  h1 {
    margin-bottom: 10px;
  }
}

/* typography */

h1, h2, h3, h4, h5, h6 {
  line-height: 1;
}

h1 {
  font-size: 3em;
  letter-spacing: -2px;
  margin-bottom: 30px;
  text-align: center;
}

h2 {
  font-size: 1.2em;
  letter-spacing: -1px;
  margin-bottom: 30px;
  text-align: center;
  font-weight: normal;
  color: $grayLight;
}

p {
  font-size: 1.1em;
  line-height: 1.7em;
}


/* header */

#logo {
  float: left;
  margin-right: 10px;
  font-size: 1.7em;
  color: white;
  text-transform: uppercase;
  letter-spacing: -1px;
  padding-top: 9px;
  font-weight: bold;
  line-height: 1;
  &:hover {
    color: white;
    text-decoration: none;
  }
}

/* footer */

footer {
  margin-top: 45px;
  padding-top: 5px;
  border-top: 1px solid $grayMediumLight;
  color: $grayLight;
  a {
    color: $gray;
    &:hover {
      color: $grayDarker;
    }
  }
  small {
    float: left;
  }
  ul {
    float: right;
    list-style: none;
    li {
      float: left;
      margin-left: 10px;
    }
  }
}

@mixin box_sizing {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

/* miscellaneous */

.debug_dump {
  clear: both;
  float: left;
  width: 100%;
  margin-top: 45px;
  @include box_sizing;
}

/* forms */

input, textarea, select, .uneditable-input {
  border: 1px solid #bbb;
  width: 100%;
  margin-bottom: 15px;
  @include box_sizing;
}

input {
  height: auto !important;
}

#error_explanation {
  color: #f00;
  ul {
    list-style: none;
    margin: 0 0 18px 0;
  }
}

.field_with_errors {
  // @extend .control-group;
  // @extend .error;
}

/* Users index */

.users {
  list-style: none;
  margin: 0;
  li {
    overflow: auto;
    padding: 10px 0;
    border-top: 1px solid $grayLighter;
    &:last-child {
      border-bottom: 1px solid $grayLighter;
    }
  }
}

/* microposts */

.microposts {
  list-style: none;
  margin: 10px 0 0 0;

  li {
    padding: 10px 0;
    border-top: 1px solid #e8e8e8;
  }
}
.content {
  display: block;
}
.timestamp {
  color: $grayLight;
}
.gravatar {
  float: left;
  margin-right: 10px;
}
aside {
  textarea {
    height: 100px;
    margin-bottom: 5px;
  }
}
.mrtop50{
  margin-top: 50px;
}
.remove_overlap{
  position:relative;
  z-index: 99;
}

.alert-error{
   color: red;   
}
.tooltip-inner{
  max-width: 100% !important;  
  li{
    list-style:none;
  }   
}

.modal-content{
  float: left;
width: 80%;
}

#modal_body_content{
  float: left;
  width: 60%;
  li{
     list-style:none;
   }
}

.modal-footer{
float: right;
width: 100%;
display: block;
}

.modal_action_btn{
  width: 20%;
  div{
    margin-bottom: 10px;
  }
}
.form_search_field{
  margin-top: 20px;  
  input{
   height: 30px !important;
  padding: 5px;
  }
  
}

.modal_relation_attr ul li {
  list-style: none;
  width:40%; 
  float: left;
  margin-right: 10px;
}

#relationship_type{
  width: 75%;
  margin-left: 40px;
}

.graph_side_container{
  position: absolute; 
  z-index: 10; 
  width: 15%;
  word-wrap: break-word;
  ul{
    padding-left: 0px; 
    p{
      font-size: 18px;      
    }
    ul{
      padding-left: 20px;
      li{
     margin-left: 40px;
    }
    }
    
  }
}
#selected_node_container{ 

 word-wrap: break-word; 
  ul{
    padding-left: 0px;   
   li{   
    line-height: 1.3;
    list-style: none;
    margin-left: 40px;
    h4{
      margin-left: -20px;
    }
   }     
  }

  input{
    width: 150px;
  }
}
.container{
  width: 100%;
}

.graph_container_right{
   width: 15%;
 padding-left: 5px;
}
.nav_right_header_link{
  width: 20%;
  margin-top: 10px;
  span{
    padding: 10px;
  }
}

.auth_form{
  width: 40%;
  margin: 0 auto;
}
.custom_form{
  margin-top: 50px;
  margin-bottom: 110px;
}
.pd_top5{
  padding-top: 5px !important;
  padding-bottom: 7px !important;
}
